<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>


        <variable
            name="text1"
            type="String" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".maintenance.NewHomePageActivity">

        <include
            layout="@layout/layout_activity_title"
            app:title='@{"车队维保系统"}' />

        <TextView
            style="@style/text_title_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="工单发起与处理" />

        <androidx.gridlayout.widget.GridLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp"
            android:background="@drawable/card_bg"
            android:padding="12dp"
            app:columnCount="4"
            app:rowCount="2"
            tools:ignore="MissingClass">

            <!--    <include
                    layout="@layout/layout_home_icon"
                    app:layout_columnWeight="1"
                    app:text1='@{"⚙️"}'
                    app:text2='@{"二级保养"}' />-->
            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_1"
                android:onClick="goActivity1"
                android:text="二级保养"
                app:layout_columnWeight="1" />

            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_2"
                android:onClick="goActivity2"
                android:text="小修"
                app:layout_columnWeight="1" />

            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_3"
                android:onClick="goActivity3"
                android:text="抢碎修"
                app:layout_columnWeight="1" />

            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_4"
                android:onClick="goActivity4"
                android:text="月检"
                app:layout_columnWeight="1" />

            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:drawableTop="@mipmap/icon_5"
                android:onClick="goActivity5"
                android:text="拆报废车"
                app:layout_columnWeight="1" />

        <!--    <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:drawableTop="@mipmap/icon_6"
                android:onClick="goActivity6"
                android:text="轮胎修补"

                app:layout_columnWeight="1" />

            <RadioButton
                style="@style/home_page_radio_button"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:drawableTop="@mipmap/icon_7"
                android:onClick="goActivity7"
                android:text="轮胎报废"
                app:layout_columnWeight="1" />-->

        </androidx.gridlayout.widget.GridLayout>

        <TextView
            style="@style/text_title_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="全局中心" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp"
            android:background="@drawable/card_bg"
            android:padding="12dp">

            <ImageView
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:src="@mipmap/icon_8" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:onClick="goAllWorkOrder"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="8dp"
                    android:text="总工单列表"
                    android:textColor="@color/textColor1"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="8dp"
                    android:text="查看车队所有已建工单"
                    android:textColor="@color/textColor2"
                    android:textSize="12sp"
                    android:textStyle="bold" />


            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</layout>